Subject: Re: New Version Notification - draft-ietf-6man-stable-privacy-addresses-15.txt

From: Fernando Gont <[email-masked]>
Date: Sat, 07 Dec 2013 17:41:19 -0300

Folks,

Just checking where we are wrt this I-D, and whether you agree to apply
the change suggested by Suresh.

Thanks!

Best regards,
Fernando

On 11/26/2013 04:01 PM, Fernando Gont wrote:
> On 11/26/2013 03:46 PM, Suresh Krishnan wrote:
>>>
>>>> I would like to propose the
>>>> following replacement text.
>>>>
>>>> "The resulting Interface Identifier SHOULD be compared against the
>>>>  reserved IPv6 Interface Identifiers [RFC5453][RIID] and against those
>>>
>>> Just double-checking: Is RFC5453 really needed here, or is it kind of
>>> obsoleted by the IANA registry?
>>
>> RFC5453 explains the rationale for avoiding these IIDs, and it created
>> the registry.
> 
> Ok. I'm just awaiting for input on the topic, and if agreed, I'll apply
> it. (Me, I like the proposed change).
> 
> Thanks!
> 
> Cheers,
> 

-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Ole Troan <[email-masked]>
Date: Mon, 9 Dec 2013 12:07:25 +0100

Fernando,

>>  Sorry for missing this in the earlier revs. In Section 5, Step 2, the
>> following text is insufficient.
>> 
>> Subnet-Router Anycast [RFC4291] and the Reserved Subnet Anycast
>> Addresses [RFC2526], and against those Interface Identifiers
>> already employed in an address of the same network interface and
>> the same network prefix."
>> 
>> There are a few more reserved IID ranges that you need to compare
>> against including the two IEEE blocks and the PMIPv6 IIDs. I would be
>> much happier if this draft just referred to the RFC5453 registry instead
>> as it will cover all the reserved IIDs.
> 
> Indeed, an earlier version referenced the registry rather than list the
> reserved IIDs/ranges. IIRC, it was lter suggested that we reference the
> specific IIDs/ranges because we were considering deprecating special
> IIDs or something like that.
> 
> Bob/Ole: I'm almost sure we discussed this one... do you recall the
> rationale?

yes, we did discuss this. I can't find the mail threads right now though.
I believe we had at least parts of the discussions in the context of
draft-ietf-6man-ug, which says:

   This document requests no immediate action by IANA.  However, the
   following should be noted when considering any future proposed
   addition to the registry of reserved IID values, which requires
   Standards Action according to [RFC5453].

   Full deployment of a new reserved IID value would require updates to
   IID generation code in every deployed IPv6 stack, so the technical
   justification for such a Standards Action would need to be extremely
   strong.

   The preceding sentence and a reference to this document should be
   added to the Reserved IPv6 Interface Identifiers registry.

one conclusion was that we should not require implementations to have to keep up to date with
a changing registry.

cheers,
Ole

---

From: Brian Haberman <[email-masked]>
Date: Mon, 09 Dec 2013 10:10:58 -0500

> the change suggested by Suresh.

Referencing 5453 puts this draft in context wrt the currently reserved IIDs.

Regards,
Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 10 Dec 2013 08:18:47 +1300

> one conclusion was that we should not require implementations to have to keep up to date with

iirc, we also decided not to formally close the Reserved IID registry,
relying on the "extremely strong" criterion.

   Brian

---

From: Fernando Gont <[email-masked]>
Date: Tue, 10 Dec 2013 05:27:20 -0300

> relying on the "extremely strong" criterion.

This would be an argument in favor of referencing the registry. i.e., if
such "extremely strong criterion" has been met, then it would make sense
for new implementations of stable-privacy to take into account the
then-current version of the registry (of course, referencing the
registry does not mean that an implmentation needs to maintain a
local/updated copy of the registry).

Thoughts?

Thanks!

Best regards,

---

From: Fernando Gont <[email-masked]>
Date: Tue, 10 Dec 2013 05:24:46 -0300

Ole,

On 12/09/2013 08:07 AM, Ole Troan wrote:
>> 
>> Indeed, an earlier version referenced the registry rather than
>> list the reserved IIDs/ranges. IIRC, it was lter suggested that
>> we reference the specific IIDs/ranges because we were considering
>> deprecating special IIDs or something like that.
>> 
>> Bob/Ole: I'm almost sure we discussed this one... do you recall
>> the rationale?
> 
> yes, we did discuss this. I can't find the mail threads right now
> though. I believe we had at least parts of the discussions in the
> context of draft-ietf-6man-ug, which says:
> 
> Full deployment of a new reserved IID value would require updates
> to IID generation code in every deployed IPv6 stack, so the
> technical justification for such a Standards Action would need to
> be extremely strong.
> 
> one conclusion was that we should not require implementations to
> have to keep up to date with a changing registry.

But.. if we didn't close the reserved IID registry, shouldn't we
referencing it?

For obvious reasons, an implementation need only consider the registry
that was current at the time the implementation is produced. This
means that e.g. an implementation produced in December 2013 would only
consider the December 2013 version of the registry. But an
implementation shipped e.g. September 2014 would consider the
September 2014 version of the registry.

So, in that sense, Suresh's suggestion seems to make sense to me.

Thoughts?

Thanks!

Best regards,
- -- 
Fernando Gont
SI6 Networks

---

From: Ole Troan <[email-masked]>
Date: Tue, 10 Dec 2013 21:28:26 +0100

Fernando,

> local/updated copy of the registry).

Bob and I had a talk about it too, and we cannot remember any good reason why the conclusion
was that the registry shouldn't be referenced. it might have been while the -ug document and
the IANA registry was still being discussed.

to cut a long story short, please follow Suresh' suggestion and add the reference.

cheers,
Ole

---

From: Fernando Gont <[email-masked]>
Date: Tue, 10 Dec 2013 18:16:59 -0300

Hi, Ole,

On 12/10/2013 05:28 PM, Ole Troan wrote:
> 
> Bob and I had a talk about it too, and we cannot remember any good
> reason why the conclusion was that the registry shouldn't be
> referenced. it might have been while the -ug document and the IANA
> registry was still being discussed.
> 

Thanks for your prompt response!

I've just rev'ed the I-D accordingly.

Cheers,
- -- 
Fernando Gont
SI6 Networks